datacache <- new.env(hash=TRUE, parent=emptyenv())

u133x3p_dbconn <- function() dbconn(datacache)
u133x3p_dbfile <- function() dbfile(datacache)
u133x3p_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
u133x3p_dbInfo <- function() dbInfo(datacache)

u133x3pORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "u133x3p.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("u133x3p", "chip u133x3p", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(u133x3p_dbconn())
}

